Get Percentiles
curl --request GET \
--url https://api.rated.network/v0/eth/operators/percentiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/operators/percentiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/operators/percentiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timeWindow": "1d",
"rank": 1,
"value": 1
}
]{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Operators
Percentile ranks
GET
/
v0
/
eth
/
operators
/
percentiles
Get Percentiles
This endpoint returns a list of entities with their respective percentile rank score, according to their effectiveness rating. You can learn more about percentiles through our docs. Also worth digging deeper into the Rated Effectiveness Rating if you’re not already familiar with it.
Here’s how to interpret the inputs required to operate it 👇
| Parameter | Context |
|---|---|
window | The time window of aggregation. You might ask for 1d, 7d, 30d or All-time data |
idType | The type of entity class you would like returned. You might ask for pool, poolShare, nodeOperator, depositAddress or withdrawalAddress |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
Available options:
1d, 7d, 30d, all Available options:
depositAddress, withdrawalAddress, nodeOperator, pool, poolShare, subNodeOperator, entity, validator, privateSet